<div class="row">
    <div class="col-md-12">
        <!--Alert-->
        <div class="row">
            <div class="col-md-12">
                <app-alerts #oAlert></app-alerts>
            </div>
        </div>
        <!--ENd Alert-->
        <!--Registration Form-->
        <form name="frmLogin" #frmLogin="ngForm" novalidate>
            <div class="row" *ngIf="oModel != null">
                <div class="col-md-12">
                    <div class="row">
                        <div class="col-md-12">
                            <label>Email <span class="error" *ngIf="tbUserEmail.invalid">*</span></label>
                            <input type="text" maxlength="500" class="form-control" name="tbUserEmail"
                                #tbUserEmail="ngModel" [(ngModel)]="oModel.model.userEmail"
                                pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$" required>

                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">&nbsp;</div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <label>Password <span class="error" *ngIf="tbPassword.invalid">*</span></label>
                            <input type="password" class="form-control" minlength="8" maxlength="16"
                                [(ngModel)]="oModel.model.userPassword" name="tbPassword" #tbPassword="ngModel"
                                required>

                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">&nbsp;</div>
                    </div>


                    <div class="row">
                        <div class="col-md-12">
                            <input type="button" [disabled]="bIsButtonDisabled" class="btn btn-primary float-right"
                                (click)="vLogin(frmLogin.valid)" [value]="sSubmitLabel">
                        </div>
                    </div>
                </div>
            </div>
          
        </form>
        <!--End Of Registration Form-->
    </div>
</div>